{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "id": "#main/hello",
                    "type": "Any"
                }
            ],
            "steps": [
                {
                    "id": "#main/step",
                    "run": "#schemadef-tool.cwl",
                    "in": [
                        {
                            "source": "#main/hello",
                            "id": "#main/step/hello"
                        }
                    ],
                    "out": []
                }
            ],
            "id": "#main",
            "outputs": []
        },
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "ramMin": 8,
                    "class": "ResourceRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "name": "#schemadef-type.yml/HelloType",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#schemadef-type.yml/HelloType/a",
                                    "type": "string"
                                },
                                {
                                    "name": "#schemadef-type.yml/HelloType/b",
                                    "type": "string"
                                }
                            ]
                        }
                    ],
                    "id": "#schemadef-type.yml"
                }
            ],
            "inputs": [
                {
                    "id": "#schemadef-tool.cwl/hello",
                    "type": "#schemadef-type.yml/HelloType",
                    "inputBinding": {
                        "valueFrom": "$(self.a)/$(self.b)"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#schemadef-tool.cwl/output",
                    "type": "File",
                    "outputBinding": {
                        "glob": "output.txt"
                    }
                }
            ],
            "stdout": "output.txt",
            "baseCommand": "echo",
            "id": "#schemadef-tool.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
